Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153117 - buglet in sharutils info file
Summary: buglet in sharutils info file
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sharutils
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 17:43 UTC by Tom Tromey
Modified: 2014-08-11 05:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 16:44:53 UTC


Attachments (Terms of Use)

Description Tom Tromey 2005-04-01 17:43:48 UTC
Description of problem:

The "remsync" program is described in remsync.info.
However, the "dir" node for remsync points to sharutils.info.


Version-Release number of selected component (if applicable):

sharutils-4.2.1-22

How reproducible:

Every time

Steps to Reproduce:

"info remsync"

Actual results:

You see the "dir" node.

Expected results:

Should see the remsync manual.

Additional info:

Comment 1 Tom Tromey 2006-02-04 02:31:52 UTC
FWIW it looks like this was fixed in upstream cvs,
by moving the remsync documentation into sharutils.texi.


Comment 2 Tom Tromey 2006-04-04 00:49:07 UTC
In FC5 there is no top-level menu entry for 'remsync', even
though the program is still installed and is documented
in sharutils.info.  I think it would be better for an
entry to be added to the master 'dir' file.


Comment 3 Matthew Miller 2006-07-10 22:21:11 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 Tom Tromey 2006-09-27 18:10:38 UTC
This still happens in FC6t2.
remsync is installed, the sharutils manual has an "Invoking remsync"
node, but there is no entry in the top-level dir file pointing at
the remsync manual.


Comment 5 Marcin Garski 2006-11-03 14:07:37 UTC
Maybe this is fixed in sharutils-4.6.3 release?

Comment 6 Matthew Miller 2007-04-06 18:03:53 UTC
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]


Comment 7 Ngo Than 2007-04-13 16:44:53 UTC
the remsync info file has been merged in sharutils.info in the new upstream 
version, so you should now use info sharutils

Comment 8 Tom Tromey 2007-04-13 23:01:46 UTC
At least on FC6 there is still no 'dir' entry for remsync.
There should be one, given that there is an 'invoking remsync' node
in the manual.  All the other sharutils utilites (except 
"compress-dummy", which does not appear to be documented) have direct
entries in 'dir'.

I did not look to see if F7 still has this bug.



Note You need to log in before you can comment on or make changes to this bug.